# class KProcessRunner | More...
Internal Use Only
Definition | `#include <krun.h>`
Inherits | QObject (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- virtual ~KProcessRunner ()
- pid_t pid () const

#### Public Static Methods

- static pid_t run (KProcess *, const QString & binName)

#### Protected Slots

- void slotProcessExited (KProcess *)

## Detailed Description

This class watches a process launched by KRun. It sends a notification when the process exits (for the taskbar) and it will show an error message if necessary (e.g. "program not found").

pid_t run (KProcess *, const QString & binName) | ### run

[static]

~KProcessRunner () | ### ~KProcessRunner

[virtual]

pid_t pid () | ### pid

[const]

void slotProcessExited (KProcess *) | ### slotProcessExited

[protected slots slot]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:40:40 2001, using kdoc 2.0a53.